package Win32;

require Exporter;
@ISA = qw(Exporter);
@EXPORT =
    qw(
       NULL
       WIN31_CLASS
       OWNER_SECURITY_INFORMATION
       GROUP_SECURITY_INFORMATION
       DACL_SECURITY_INFORMATION
       SACL_SECURITY_INFORMATION


);

# Routines added in ntxs.cpp:
# Win32::GetLastError
# Win32::PerlVersion
# Win32::LoginName
# Win32::NodeName
# Win32::DomainName
# Win32::FsType
# Win32::GetCwd
# Win32::GetOSVersion
# Win32::FormatMessage ERRORCODE
# Win32::Spawn COMMAND, ARGS, PID
# Win32::LookupAccountName SYSTEM, ACCOUNT, DOMAIN, SID, SIDTYPE
# Win32::LookupAccountSID SYSTEM, SID, ACCOUNT, DOMAIN, SIDTYPE
# Win32::InitiateSystemShutdown MACHINE, MESSAGE, TIMEOUT, FORCECLOSE, REBOOT
# Win32::AbortSystemShutdown MACHINE

# Win32::GetTickCount
# Win32::IsWinNT
# Win32::IsWin95

# We won't bother with the constant stuff, too much of a hassle. Just hard
# code it here.
sub NULL { (0);}
sub WIN31_CLASS { &NULL;}
sub OWNER_SECURITY_INFORMATION {(0x00000001);}
sub GROUP_SECURITY_INFORMATION {(0x00000002);}
sub DACL_SECURITY_INFORMATION {(0x00000004);}
sub SACL_SECURITY_INFORMATION {(0x00000008);}

1;
